#!/usr/bin/perl

use strict;

my $datamover = "server_4";
my $source = "\\\\celerra_path\\";
my $dest = "\\\\isilon_path\\";
my $prot = "cifs";
my $nfs_cli = "server_export $datamover -list -P $prot -v |grep share";

open (OUTPUT, ">> create_smb_exports_$$.sh") || die "cant open output: $!\n\n";
open (CMD, "$nfs_cli |") || die "cant open $nfs_cli: $!\n\n";
while (<CMD>)
{
   chomp;

   my (@vars) = split(" ", $_);
   my $path = $vars[2];
   my $name = $vars[1];
   $name =~ s/\"//g;
   $path =~ s/^/\/ifs/;
   
   my $log = "c:\\" . $name . "";
   $log =~ s/ //;
   my $src = $source . $name;
   my $dst = $dest . $name;

   print "emcopy \"$src\" \"$dst\" /o /s /d /q /secfix /purge /stream /c /r:1 /w:1 /log:$log\n";



}
close(CMD);


